Get all commands for an environment
GET
/api/v3/organizations/{organisation}/environments/{environment}/commands
const url = 'https://dashboard.quantcdn.io/api/v3/organizations/test-org/environments/test-env/commands';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://dashboard.quantcdn.io/api/v3/organizations/test-org/environments/test-env/commands \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”organisation
required
string
The organisation ID
Example
test-orgenvironment
required
string
The environment ID
Example
test-envResponses
Section titled “Responses”The commands
Media typeapplication/json
object
runId
string
runType
string
command
string
status
string
startTime
string
endTime
string
exitCode
integer
output
Array<string>
scheduleName
string
targetContainerName
string
Examplegenerated
{ "runId": "example", "runType": "example", "command": "example", "status": "example", "startTime": "example", "endTime": "example", "exitCode": 1, "output": [ "example" ], "scheduleName": "example", "targetContainerName": "example"}